module Admin::PortalTemplateHelper

	def get_offer_list
		user = current_user.nil? ? OrbitHelper.current_user : current_user
	  user_profile = user.member_profile
	  offers = Offer.where(:member_profile_id => user_profile.id)
	  offers = offers.collect do |e|
	      {
	          "id" => e.id.to_s,
	          "edit_url" => "/#{I18n.locale.to_s}/admin/members/#{user_profile.to_param}/portal_template/#{e.to_param}/edit",
	          "delete_url" => "/#{I18n.locale.to_s}/admin/portal_template/#{e.id.to_s}",
	          "paper_title" => e.offer_title
	      }
	  end
	  offers
	end

	def import_this_experience(row,mp)
		value = nil
	  	exp = Experience.new
	  	row.cells.each_with_index do |cell,index|
	  		next if index < 2
	  		next if cell.nil?
	  		val = cell.value
	  		next if val.nil? || val == ""
	  		case index
	  		when 2
	  			value = {"en" => val}
	  		when 3
	  			begin
	  				value["zh_tw"] = val
	  			rescue
	  				value = {"zh_tw" => val}
	  			end
	  			exp.organizationt_title_translations = value
	  		when 4
	  			value = {"en" => val}
	  		when 5
	  			begin
	  				value["zh_tw"] = val
	  			rescue
	  				value = {"zh_tw" => val}
	  			end
	  			exp.department_translations = value
	  		when 6
	  			value = {"en" => val}
	  		when 7
	  			begin
	  				value["zh_tw"] = val
	  			rescue
	  				value = {"zh_tw" => val}
	  			end
	  			exp.job_title_translations = value
	  		when 8
	  			ets = ExperienceType.asc(:created_at).all.to_a
  				exp.experience_type = ets[val.to_i] if val.to_s.is_i? && val.to_i < ets.count
  			when 9
  				exp.language = val
  			when 10
  				exp.start_date = val
  			when 11
  				exp.end_date = val
  			when 12
  				exp.url = val
  			when 13
  				exp.keywords = val
  			when 14
  				exp.note = val
	  		end
	  	end
	  	exp.member_profile = mp
	  	exp.save
	end
	def get_data_for_excel(year_start,year_end)
	    data = []
	    roles = Role.where(:disabled => false, :title.ne => "", :title.ne => nil).asc(:key)
	    roles.each do |role|
	      d = {}
	      d["name"] = role.title
	      mps = role.member_profile_ids
	      d1 = DateTime.new(year_start,1,1,0,0)
	      d2 = DateTime.new(year_end,12,31,23,59)
	      d["data"] = Experience.where(:start_date.gte => d1, :start_date.lte => d2, :member_profile_id.in => mps) rescue []
	      data << d
	    end
	    return data
	end

  	def get_chart_data(year_start,year_end,role,type)
	    case type
	    when "category"
	      jls = ExperienceType.all
	    end

	    finaldata = []
	    role = Role.find(role) rescue nil
	    mps = []
	    if !role.nil?
	       mps = role.member_profile_ids
	    end
	    jls.each do |jl|
	      data = {}
	      data["name"] = jl.title
	      data["data"] = {}
	      (year_start..year_end).each do |year|
	        d1 = DateTime.new(year,1,1,0,0)
	        d2 = DateTime.new(year,12,31,23,59)
	        t = jl.experiences.where(:start_date.gte => d1, :start_date.lte => d2, :member_profile_id.in => mps).count rescue 0
	        data["data"][year.to_s] = t
	      end
	      finaldata << data
	    end
	    data = {"name" => "N/A", "data" => {}}
	    (year_start..year_end).each do |year|
	      d1 = DateTime.new(year,1,1,0,0)
	      d2 = DateTime.new(year,12,31,23,59)
	      case type
	      when "category"
	         t = Experience.where(:start_date.gte => d1, :start_date.lte => d2, :member_profile_id.in => mps, :experience_type_id => nil).count rescue 0
	      end

	      data["data"][year.to_s] = t
	    end
	    finaldata << data
	    finaldata
	 end
end
