Rails.application.routes.draw do
	locales = Site.find_by(site_active: true).in_use_locales rescue I18n.available_locales
	scope "(:locale)", locale: Regexp.new(locales.join("|")) do
		namespace :admin do
      get 'portal_template_setting' => "portal_template#setting"
      patch 'portal_template_setting' => "portal_template#update_setting"
      post 'portal_template_setting' => "portal_template#update_setting"
      delete 'portal_setting_delete' => "portal_template#portal_setting_delete"
      delete 'offer_application_delete' => "portal_template#offer_application_delete"

      resources :portal_template do
        collection do
          get 'role_setting'
          get 'toggle_hide'
        end
      end

      resources :members do
        collection do
          scope '(:name-:uid)' do
            resources :portal_template do
              collection do
                get 'frontend_setting' => 'portal_template#frontend_setting'
                post 'update_frontend_setting' => 'portal_template#update_frontend_setting'
              end
            end
          end
        end
      end

		end
	end
end
